<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$ultima=$sessao->getVar('ultima');
$limite=$_POST['limite'];
if($limite<1)  $limite=15;
if($limite>100) :
     $limite=100;
	 echo("O limite máximo é 100 amostras por pesquisa!<br>");
endif;	 
$dataOto=date("d/m/Y");



//echo("passo pelo comeco");
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar)  Operador:".$nomeOperador;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 


if($sessao->getVar('amostraLong')==NULL)
{
	//echo "nulo<br>";
	//vai capturar a id da amostra caso nao tenha nada na sessao(logo depois de logar))
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito

    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('ultima',$ultima);
}
else
{
	//echo "nao nulo<br>";
    $amostraLong=$sessao->getVar('amostraLong');
}


switch ($tela):
    case 'nova':
      echo"esta no nova";
	  $tela='editar';
    break;
    case 'faltafazer':
        $pedindo='LISTAGERAL';
    	echo("Nesta tela insere a data de plantio a duração e data geral do teste.<br>");
        if($atual==""):
		    $atual=$ultima-$limite+1;//exemplo: ultima=6 limite=3  atual tem que ser 4 ou seja atual=6-3+1
		endif;			
        if(isset($_POST['listaGeral'])):
			$atual=$_POST['atual'];
			$pedindo='LISTAGERAL';
         	//echo("LISTA GERAL:  Serao mostradas  todas amostras do intervalo se tiver algum TESTE SOLICITADO, por fazer. <br>");
			printMSG('LISTA GERAL:  Serao mostradas  todas amostras do intervalo.','erro');
		endif;
		//////////////////SALVAR///////////////////

        if(isset($_POST['gravar'])):
           // echo("esta em savarvvvvvvvvvv aenxofre=$aEnxofre <br>");
			$atual=$_POST['atual'];
			$pedindo='LISTATESTESABERTOS';
         	echo("ACHAR ABERTAS:  Serao mostradas  as amostras do intervalo que tem um ou mais testes por fazer. <br>");
			$i=0;
			$amostras=$_POST['amostras'];
			while($i<=$amostras):
				 $i++; 
	             //captura a id para gravar sempre na amostra certa
				 //codigo da amostra ID
				 $cid="cid".$i;
	    		 $vcid=$_POST[$cid];//captura a quantidade de amostras a serem registradas
				 //tratamento
				 $tratamento="tratamento".$i;
	    		 $vtratamento=$_POST[$tratamento];//captura a quantidade de amostras a serem registradas
				 //analista
				 $analista="analista".$i;
	    		 $vanalista=$_POST[$analista];//captura a quantidade de amostras a serem registradas
                 //campo inicio do teste ou data de palntio
				 $inicio="inicio".$i;
	    		 $vinicio=$_POST[$inicio];   //captura a quantidade de amostras a serem registradas
                 //duracao
				 $dura="duracao".$i;
				 //echo(" kkkdura=$dura");
	    		 $vduracao=$_POST[$dura];//captura a quantidade de amostras a serem registradas
                 //data de leitura ou data final
				 $leitura="leitura".$i;
	    		 $vleitura=$_POST[$leitura];   //captura a quantidade de amostras a serem registradas
				 
				 
				   //este pedaco de codigo é usado para validar uma data brsileira e ja converte para data americana
	     		   $objetoValidacao=new validacao();
				   $vaiGravar=TRUE;
	               //valida a data de entrada
				   $dt_entrada=$vleitura;
				   $retorno=$objetoValidacao->validaData($dt_entrada);//esta data vai validar o ano e somente esta
				   if($retorno=='invalida'):
					   //$mensagem('Amigo, a data preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
					   printMSG('Amigo, a data '. $vleitura . ', não é uma data válida. Informe a data do final de teste no formato dd/mm/aaaa ','alerta');
	                   $vaiGravar=FALSE;
				   else:
					   $dt_entrada_americana=$retorno;
				   endif;

                 //testa se a id>é maior que zero  e tambem testa se a datageralteste é valida  para evitar erro na sql depois                   
				 if($vcid>0 && $vaiGravar==TRUE):
						 //echo ("dataamerican $dt_entrada_americana");
			             $user = new rean1(array(
			             'rea_duracao'=>$vduracao,
			             'rea_campo60a'=>$vtratamento,
			             'rea_operador'=>$vanalista,
			             'rea_datainicio'=>$vinicio,
			             'rea_datageralteste'=>$dt_entrada_americana,
			              ));

	                //$vcid=$_POST['cid6'];
					//$user->valorpk = $vcid;
					$user->extras_select = "WHERE rea_ficha=". $vcid." and rea_teste='GERM'";

					//echo ("extra select= $user->extras_select<br>");   
					$user->atualizarEspecial($user);
				endif;//testa se o vcid>0	
                $salvado="Ok.Salvou.";
			endwhile;   

/////////////////RRRRRRRRRRRRRRYYYYYY////////////////////			
			
			printMSG('GRAVOU AMOSTRAS:  ','aviso');
		   // echo("atualxxxx=$atual<br>");
		endif;//fecha o isset do salvar
		
        if(isset($_POST['listaDia'])):
			$pedindo='LISTADIA';
		    $dataOto=$_POST['dataOto'];
         	//echo("SEM DOCUMENTOS:  Relaciona so amostras que ainda nao foram incluidas nalgum documento. <br>");
			printMSG('LISTA DO DIA:  Relaciona só amostras que devem ser lidas no dia:' .$dataOto,'erro');
		   // echo("atualxxxx=$atual<br>");
		endif;

        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
       <form class="userform" method="POST" action="">

        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Amo</th><th>Espécie</th><th>Produtor</th> <th>Plantio</th><th>Duração</th><th>Dt Leitura</th><th>Tratamento</th><th>Analista</th><th>Controle</th>
                </tr>
            </thead>
            <tbody>
			
                <?php 
                $limite=10;
			    //$user = new amostras();
				//$user->extras_select = "WHERE  fic_ano='".$anoCorrente."'  and   fic_amostra>=".$atual." and fic_labo=".$idLabo ." order by fic_amostra limit ".$limite."";
			 	$user = new associadas2014();
			    $user->extras_select =  " where esp_id=ctv_especie && ctv_id=fic_cultivar && prd_id=fic_produtor and   fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc  limit ".$limite."";  //fucnciona perfeito
 
 
                $atual-=$limite;
				if($atual<1)$atual=1;
				$finalsequencia=$atual+$limite-1;
				//echo("extra=$user->extras_select<br>");
                $user->selecionaTudo($user);
				$indice=0;
                while ($res = $user->retornaDados()):
				    $indice++;
                    $vcid="cid".$indice;
                    $vinicio='inicio'.$indice;
                    $vduracao='duracao'.$indice;
                    $vtratamento='tratamento'.$indice;
                    $vanalista='analista'.$indice;
                    $vleitura='leitura'.$indice;
					//echo("vcid=$vcid :");
                    $amostraLong=$res->fic_id;
					$protocolo=$res->fic_amostra;
				    //ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="rean1";
					$generica->campos_valores = array(
							"rea_datainicio" => NULL,
							"rea_duracao" => NULL,
							"rea_campo60a" => NULL,
							"rea_operador" => NULL,
							"rea_lei1" => NULL,
							"rea_datageralteste" => NULL,
						);
					$generica->extras_select =" where rea_teste='GERM' AND rea_ficha=" . $amostraLong;
				    $generica->selecionaCampos($generica);
					while ($resgenerica = $generica->retornaDados()):
                      $inicio=$resgenerica->rea_datainicio;
                      $duracao=$resgenerica->rea_duracao;
                      $tratamento=$resgenerica->rea_campo60a;
                      $analista=$resgenerica->rea_operador;
                      $leitura=$resgenerica->rea_datageralteste;
				    endwhile;
					//testa se pedi lista do dia, caso contrario me mostra todas do intervalo
		            $dt_brasileira= date("d/m/Y",strtotime($leitura));
                    if($pedindo=='LISTADIA'):
						if($dataOto==$dt_brasileira): 	                
						    echo '<tr>';
		                    printf('<td>%s</td>',$res->fic_amostra);
		                    printf('<td>%s</td>',$res->esp_nome);
		                    printf('<td>%s</td>',substr($res->prd_nome,0,12));
							?>
		                    <td><input type="text" size="8" name="<?php echo $vinicio;?>"   value="<?php echo $inicio;?>" /></td>
		                    <td><input type="text" size="2" name="<?php echo $vduracao;?>"   value="<?php echo $duracao;?>" /></td>
		                    <td><input type="text" size="8" name="<?php echo $vleitura;?>"   value="<?php echo $dt_brasileira;?>" /></td>
		                    <td><input type="text" size="2" name="<?php echo $vtratamento;?>"   value="<?php echo $tratamento;?>" /></td>
		                    <td><input type="text" size="2" name="<?php echo $vanalista;?>"   value="<?php echo $analista;?>" /></td>
		                    <td><input type="text" size="2" name="<?php echo $vcid;?>"   disabled="disabled"  value="<?php echo $amostraLong;?>" /></td>
		                    <?php
					        echo '</tr>';
                         endif;
					else:
	                    echo '<tr>';
	                    //printf('<td>%s</td>',$protocolo);
	                    printf('<td>%s</td>',$res->fic_amostra);
	                    printf('<td>%s</td>',$res->esp_nome);
	                    printf('<td>%s</td>',substr($res->prd_nome,0,12));
						?>
	                    <td><input type="text" size="8" name="<?php echo $vinicio;?>"         value="<?php echo $inicio;?>" /></td>
	                    <td><input type="text" size="2" name="<?php echo $vduracao;?>"        value="<?php echo $duracao;?>" /></td>
	                    <td><input type="text" size="8" name="<?php echo $vleitura;?>"        value="<?php echo $dt_brasileira;?>" /></td>
	                    <td><input type="text" size="8" name="<?php echo $vtratamento;?>"     value="<?php echo $tratamento;?>" /></td>
	                    <td><input type="text" size="8" name="<?php echo $vanalista;?>"       value="<?php echo $analista;?>" /></td>
	                    <td><input type="text" size="6" name="<?php echo $vcid;?>"  readonly="readonly"   value="<?php echo $amostraLong;?>" /></td>
	                    <?php
					    echo '</tr>';
					
					endif;

   
                endwhile;//PERCORRE AS AMOSTRAS DENTRO DO INTERVALO(este while serve para todos casos)
				$amostras=$indice-1;  
				$legendaData="PAINEL DE CONTROLE:  Data de Hoje: ".$dataOto;              
                ?>
            </tbody>
        </table>
<hr><br>
        <fieldset>
            <legend>PAINEL DE CONTROLE:  Data  <input type="text"     size="8" name="dataOto"  value="<?php  echo $dataOto; ?>" />    
        </legend>
            <ul>
                <table bgcolor="#d1d5de" width="780">
                  <tr>
                        <td>Acessar<input type="text"     size="1" name="limite"  value="<?php  echo $limite; ?>" />amostras a partir de <input type="text"     size="3" name="atual"  value="<?php  echo $atual; ?>" />  
                        
                        <input type="hidden"     size="3" name="amostras"  value="<?php  echo $amostras; ?>" />    
	                    <input type="submit" name="listaGeral"   value="Lista Geral" />
	                    <input type="submit" name="gravar"   value="Gravar" />
	                    <input type="submit" name="listaDia"   value="Leituras do dia" /></td>
				 </table> 
			</ul>	 
        </fieldset>
        </form>  



        <?php        
    break;


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>